;Ŀ
; Q-SETUP.CMD        Copyright 1988-1991 by Rik Brown                      
;                                                                          
;                    Set up defaults and commands script                   
;

; SET DEFAULTS

  TurnON   8_BIT                        ; 8-bit mode
  TurnON   ONLINE                       ; Turn on  ONLINE checking
  TurnOFF  XON/XOFF                     ; Turn off Xon/Xoff flow control
  TurnOFF  BS_DEL                       ; BS=^H enabled
  TurnOFF  ECHO                         ; Turn off local echo mode (duplex)
  TurnOFF  LINEFEED                     ; Do not add LFs to incoming CRs
  TurnOFF  LOG                          ; Turn off regular Qmodem log
  TurnOFF  MUSIC                        ; ANSI music mode OFF
  TurnOFF  NOISE                        ; Beeps and bells OFF
  TurnOFF  PRINT                        ; Turn off local print echo mode
  TurnOFF  SCROLL                       ; Turn off scroll-back capture mode
  TurnOFF  SPLIT                        ; Turn off split screen mode

  CLRSCR                                ; Clear screen

; CHECK FOR CARRIER DROP FLAG
  IF '$6' > '0' COMMANDS                ; Restart commands if carrier dropped

  ATWRITE 1  1 15 "Ŀ"
  ATWRITE 1  2 15 "                                                                              "
  ATWRITE 20 2 15 "Reading configurations from Q-SETUP.CFG"
  ATWRITE 1  3 15 ""

  GOTOXY 1 4                            ; Move cursor down

; DECLARE STRINGS

  STRING bbsname                        ; BBS Name
  STRING cmdscript                      ; Name of this controlling script
  STRING cfgcomment                     ; Temporary VAR for CFG file reads
  STRING language                       ; PCBoard Script Prompts Language
  STRING maxconn                        ; Maximum attempts: handshake
  STRING maxdial                        ; Maximum attempts: dials
  STRING maxdlmail                      ; Maximum attempts: DL mail
  STRING maxulmail                      ; Maximum attempts: UL mail
  STRING minbaud                        ; Minimum baud connect rate
  STRING names                          ; Your FIRST & LAST NAME
  STRING phone1                         ; BBS Phone Number 1
  STRING phone2                         ; BBS Phone Number 2
  STRING pword                          ; Your PASSWORD
  STRING maildate                       ; Mail date stamping batch file
  STRING maildir                        ; Mail directory location
  STRING maildoor                       ; Mail door # OR name
  STRING mailpswd                       ; Mail door password
  STRING mailscript                     ; Mail door script
  STRING mailUL                         ; Mail UL packet filespec
  STRING mailDL                         ; Mail DL packet filespec
  STRING sessioncap                     ; Session capture file name
  STRING sessionlog                     ; Session log file name
  STRING sdate                          ; Starting date
  STRING stime                          ; Starting time

  STRING currentclr                     ; Script "Current" Line F/BG Color
  STRING scrcolor                       ; Script Fore/Background Color
  STRING startcolor                     ; Script "Start" Line F/BG Color
  STRING titlecolor                     ; Script Titles F/BG Color

; ASSIGN STRINGS

  OPENFILE $SCPATH\Q-SETUP.CFG READ
  READFILE mailscript
  READFILE cfgcomment
  READFILE cmdscript
  READFILE cfgcomment
  READFILE bbsname
  READFILE cfgcomment
  READFILE phone1
  READFILE cfgcomment
  READFILE phone2
  READFILE cfgcomment
  READFILE language
  READFILE cfgcomment
  READFILE pword
  READFILE cfgcomment
  READFILE maildate
  READFILE cfgcomment
  READFILE maildoor
  READFILE cfgcomment
  READFILE mailpswd
  READFILE cfgcomment
  READFILE mailUL
  READFILE cfgcomment
  READFILE mailDL
  READFILE cfgcomment
  READFILE minbaud
  READFILE cfgcomment
  READFILE sessioncap
  READFILE cfgcomment
  READFILE sessionlog
  READFILE cfgcomment
  READFILE maildir
  READFILE cfgcomment
  READFILE names
  READFILE cfgcomment
  READFILE scrcolor
  READFILE cfgcomment
  READFILE titlecolor
  READFILE cfgcomment
  READFILE startcolor
  READFILE cfgcomment
  READFILE currentclr
  READFILE cfgcomment
  READFILE maxdial
  READFILE cfgcomment
  READFILE maxconn
  READFILE cfgcomment
  READFILE maxdlmail
  READFILE cfgcomment
  READFILE maxulmail
  READFILE cfgcomment
  CLOSEFILE

  ASSIGN stime        "$time"           ; Start date (don't change!)
  ASSIGN sdate        "$date"           ; Start time (don't change!)

  ASSIGN 0 0                            ; Initialize counter: dials
  ASSIGN 1 0                            ; Initialize counter: handshakes
  ASSIGN 2 0                            ; Initialize    flag: MAIL UL
  ASSIGN 3 0                            ; Initialize counter: DL mail attempts
  ASSIGN 4 0                            ; Initialize counter: UL mail attempts
  ASSIGN 5 1                            ; Initialize counter: dial rotation
  ASSIGN 6 0                            ; Initialize    flag: carrierdrop

  DOS "if exist $maildir\$sessionlog del $maildir\$sessionlog"
  DOS "if exist $maildir\$sessioncap del $maildir\$sessioncap"
  LOG             $maildir\$sessionlog  ; Open Session Log File
  CAPTURE         $maildir\$sessioncap  ; Open Session Capture File
  DEBUG OFF                             ; <- Set to ON or OFF (usually OFF)

  DOS "if exist $maildir\success.* del $maildir\success.*"
; Clear success indicators from any prior aborted script.

  EXIST $maildir\$mailUL MAILUL_EXISTS  ; See if mailUL exists
    GOTO COMMANDS

  MAILUL_EXISTS:
    INCR 2                              ; Sets MAILUL flag
    GOTO COMMANDS

COMMANDS:

  CLRSCR                                ; Clear any screen leftovers

  SCRIPT Q-LOGON.SCR
  SCRIPT $mailscript
  SCRIPT Q-LOGOFF.SCR
